﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class MainMenuControls : MonoBehaviour
{
    public Image title;

    public void Start()
    {
        BlackFading.FadeOut();
        StartCoroutine(Intro());
    }

    public IEnumerator Intro()
    {
        yield return new WaitUntil(() => { return !BlackFading.IsFading; });
        yield return new WaitForSeconds(2f);
        float alpha = title.color.a;
        while (alpha > 0f)
        {
            alpha -= 0.5f * Time.deltaTime;
            Color c = new Color(1f, 1f, 1f, alpha);
            title.color = c;
            yield return null;
        }
        title.gameObject.SetActive(false);
    }

    AsyncOperation loadingScene;
    public void OnStartClick()
    {
        BlackFading.FadeIn();
        loadingScene = SceneManager.LoadSceneAsync("GameScene");
        loadingScene.allowSceneActivation = false;
        StartCoroutine(WaitForFade(false));
    }

    public IEnumerator WaitForFade(bool exit)
    {
        while (BlackFading.IsFading)
        {
            yield return null;
        }
        if (exit)
        {
            Application.Quit();
        }
        else
        {
            loadingScene.allowSceneActivation = true;
        }
    }

    public void OnExitClick()
    {
        BlackFading.FadeIn();
        StartCoroutine(WaitForFade(true));
    }
}
