﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StaticNavObject : MonoBehaviour
{
    public NavMesh.Position position;
    public List<NavMesh.Position> blockedFields;

    public void OnValidate()
    {
        if (GameManager.Instance == null)
        {
            return;
        }
        if (GameManager.Instance.navMeshSize != null)
        {
            position.row = Mathf.Min(Mathf.Max(position.row, 0), GameManager.Instance.navMeshSize.height - 1);
            position.col = Mathf.Min(Mathf.Max(position.col, 0), GameManager.Instance.navMeshSize.width - 1);
            transform.position = NavMesh.GetPositionCoordinates(position);
        }
    }

    protected virtual void Awake()
    {
        transform.position = NavMesh.GetPositionCoordinates(position);
    }
}
