﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class NPC : Person
{
    public enum State
    {
        MOVINGTOTABLE, EXITING, FOLLOWING, TALKING
    }

    public static int likesAmount = 3;
    public static int dislikesAmount = 2;
    public SpriteRenderer topicBubble;
    public SpriteRenderer dislikeIndicator;

    public float speechInterval;

    public int[] topics;
    public List<int> topicPresentation;

    public Table currentTable;
    public bool leftSide;
    public bool isInRoom = true;
    public bool isMale;

    public State currentState;

    private void Awake()
    {
        topics = new int[likesAmount + dislikesAmount];
    }

    public void Leave()
    {
        currentTable.RemoveNPC(leftSide);
        currentState = State.EXITING;
        NavigateTo(GameManager.Instance.navMesh.Entrance);
    }

    public override void NavigationEndCallback()
    {
        base.NavigationEndCallback();
        switch (currentState)
        {
            case State.MOVINGTOTABLE:
                Turn(leftSide ? NavMesh.Direction.RIGHT : NavMesh.Direction.LEFT);
                currentTable.Arrive(this, leftSide);
                break;
            case State.EXITING:
                GameManager.Instance.npcs.Remove(this);
                gameObject.SetActive(false);
                GameManager.Instance.navMesh.FreeNavMeshAt(currentPosition);
                Destroy(gameObject);
                break;
        }
    }
}
